#import <Foundation/NSDictionary.h>
#import "QCPatch.h"
#import "QCStringPort.h"
#import "QCBooleanPort.h"
#import "QCStructurePort.h"
#import "QCStructure.h"

@interface FolderMoviesPatch : QCPatch
{
    QCStringPort        *inputPath;
	QCBooleanPort		*inputScanSignal;
	QCBooleanPort		*inputRecursive;
	QCStructurePort		*outputFileList;
    QCBooleanPort       *outputCompleteSignal;
	BOOL				currentlyScanning;
	BOOL				oldValue;
}

+ (int) executionMode;
+ (BOOL)allowsSubpatches;
+ (int) timeMode;

// scan thread method
+(void) scanThread:(id)object;
// does the actual scanning.  Walks directoryies if recursive
//+(void) scanPath:(NSString*)path withDict:(NSMutableDictionary*)fullDict recursively:(BOOL)recursively;
+(void) scanPath:(NSString*)path withDict:(QCStructure*)fullDict recursively:(BOOL)recursively;


- (id)initWithIdentifier:(id)fp8;

- (id)setup:(id)fp8;
- (void)cleanup:(id)fp8;

- (void)enable:(id)fp8;
- (void)disable:(id)fp8;

- (BOOL)execute:(id)fp8 time:(double)fp12 arguments:(id)fp20;
@end
